ParserNotice.Level
Date: 2017-02-11

org.fife.ui.rsyntaxtextarea.parser

## Enum ParserNotice.Level

- java.lang.Object
- - java.lang.Enum<ParserNotice.Level>
  - - org.fife.ui.rsyntaxtextarea.parser.ParserNotice.Level

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ParserNotice.Level>
  Enclosing interface:
    ParserNotice

      public static enum ParserNotice.Level
      extends java.lang.Enum<ParserNotice.Level>

  Denotes the severity of a parser notice.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR` Indicates an error notice.
    `INFO` Indicates an informational notice.
    `WARNING` Indicates a warning notice.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNumericValue()` Returns the value of this notice level, as an integer.
    `boolean` | `isEqualToOrWorseThan(ParserNotice.Level other)` Returns whether this level is as sever as, or worse than, another level.
    `static ParserNotice.Level` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ParserNotice.Level[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INFO

          public static final ParserNotice.Level INFO

      Indicates an informational notice.

    - #### WARNING

          public static final ParserNotice.Level WARNING

      Indicates a warning notice.

    - #### ERROR

          public static final ParserNotice.Level ERROR

      Indicates an error notice.

  - ### Method Detail

    - #### values

          public static ParserNotice.Level[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ParserNotice.Level c : ParserNotice.Level.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ParserNotice.Level valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getNumericValue

          public int getNumericValue()

      Returns the value of this notice level, as an integer.
      Returns:
        A numeric value for this notice level.

    - #### isEqualToOrWorseThan

          public boolean isEqualToOrWorseThan(ParserNotice.Level other)

      Returns whether this level is as sever as, or worse than, another level.
      Parameters:
        `other` - The other level.
      Returns:
        Whether this level is equal to or more severe.